Subject: Re: bug#42155: --with-source=PACKAGE=REPLACEMENT-SOURCE doesn't work recursively
From: Maxim Cournoyer <[email-masked]>
To: Ludovic Courtès <[email-masked]>
Cc: pkill9 <[email-masked]>, [email-masked], Efraim Flashner <[email-masked]>
Date: Tue, 21 Feb 2023 08:18:46 -0500
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi,

Ludovic Courtès <[email-masked]> writes:

> pkill9 <[email-masked]> skribis:
>
>>> I think what you're looking for is more of:
>>> 
>>> guix build --no-grafts mpv --with-input=youtube-dl=$(guix build
>>> --no-grafts youtube-dl
>>> --with-source=https://github.com/ytdl-org/youtube-dl/releases/download/2020.06.16/youtube-dl-2020.06.16.tar.gz)
>>> 
>>> This didn't work for me though, I got:
>>> guix build: error:
>>> /gnu/store/9ncacjhzwlchpr1y5fd8ahdq59dsya20-youtube-dl-2020.06.16:
>>> unknown package
>>
>> Even if that worked, it doesn't fix the issue of the --with-source flag
>> not working on the specified package's inputs.
>
> ‘--with-source’ is documented to be “shallow”: unlike ‘--with-input’ &
> co., it doesn’t apply recursively.
>
> I think we should change it though.

Closing, since that's been implemented per
28ade1bab207974cce6a014e7187968511fc5526 ("transformations:
'--with-source' now operates in depth.") last September.

-- 
Thanks,
Maxim